package com.cicdi.notify;

/**
 * 通知类型，通常使用枚举实现，枚举支持的通知类型
 *
 * @author xueye
 */
public interface NotifyType {

    /**
     * 通知类型唯一标识
     *
     * @return 唯一标识
     */
    String getId();

    /**
     * 获取通知类型
     *
     * @return 通知类型名称
     */
    String getName();

}
