package com.cicdi.notify.wechat.subscription;

import com.cicdi.notify.NotifierProperties;

/**
 * 微信公众号通知器配置信息
 *
 * @author xueye
 */
public class WechatSubscriptionProperties extends NotifierProperties {

    /**
     * 获取access_token填写client_credential
     */
    private String grantType;

    /**
     * 第三方用户唯一凭证
     */
    private String appId;

    /**
     * 第三方用户唯一凭证密钥，即appsecret
     */
    private String secret;

    public String getGrantType() {
        return grantType;
    }

    public void setGrantType(String grantType) {
        this.grantType = grantType;
    }

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getSecret() {
        return secret;
    }

    public void setSecret(String secret) {
        this.secret = secret;
    }
}