package com.cicdi.notify.util.script.engine;

import javax.script.ScriptException;

public class ExecuteResult {

    private boolean success;

    private Object result;

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public void setResult(Object result) {
        this.result = result;
    }

    @Override
    public String toString() {
        return String.valueOf(this.get());
    }

    public Object get() {
        return result;
    }

    public Object getIfSuccess() throws Exception {
        if (!success) {
            throw new ScriptException("");
        }
        return result;
    }

}
