package com.cicdi.notify.util.script.engine;

import java.util.HashMap;
import java.util.Map;

public abstract class ListenerSupportEngine implements DynamicScriptEngine {

    private Map<String, Object> globalVariable;

    protected Map<String, Object> getGlobalVariable() {
        if (null == globalVariable) return new HashMap<>();
        return new HashMap<>(globalVariable);
    }

    @Override
    public void addGlobalVariable(Map<String, Object> vars) {
        globalVariable = vars;
    }

}
